EventConfig::avoidMethod
EventConfig::requireFeatures
EventConfig
PHP Manual

# EventConfig::__construct

(PECL event >= 1.2.6-beta)

EventConfig::__construct — Constructs EventConfig object

### Description

public EventConfig::__construct ( void )

Constructs EventConfig object which could be passed to EventBase::__construct() constructor.

### Parameters

This function has no parameters.

### Return Values

Returns EventConfig object.

### Examples

Example #1 EventConfig::__construct() example

`<?php
// Avoiding "select" method
$cfg = new EventConfig();
if ($cfg->avoidMethod("select")) {
echo "`select' method avoided\n";
}
// Create event_base associated with the config
$base = new EventBase($cfg);
/* Now $base is configured to avoid select backend(method) */
?>`

### See Also

- EventBase::__construct() - Constructs EventBase object

EventConfig::avoidMethod
EventConfig::requireFeatures
EventConfig
PHP Manual